<?php

use Everyware\Plugin\PresentationPreview\ArticlePreview;

$code = '';
if (isset($previewData) && $previewData instanceof ArticlePreview) {
    $code = $previewData->toJson(JSON_PRETTY_PRINT | JSON_UNESCAPED_SLASHES);
}

?>
<!doctype html>
<html lang="en">
<head>
    <title>Article Preview page</title>
</head>
<body>
<h1>Failed load Article Preview</h1>
<p>The active theme does not support Article Preview. Make sure that the theme has the required template.</p>
<hr>
<?php if ( ! empty($code)) : ?>
    <div>
        <h2>Data for the requested Preview: </h2>
        <pre><code><?php print $code; ?></code></pre>
    </div>
<?php endif; ?>
</body>
</html>
